net.dontdrinkandroot.wicket.bootstrap.css

## Enum PaginationSize

- java.lang.Object
- - java.lang.Enum<PaginationSize>
  - - net.dontdrinkandroot.wicket.bootstrap.css.PaginationSize

All Implemented Interfaces:
  Serializable, Comparable<PaginationSize>, CssClass

    public enum PaginationSize
    extends Enum<PaginationSize>
    implements CssClass

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LARGE`
`MINI`
`SMALL`

### Method Summary

Methods
`String` `getClassString()`
`static PaginationSize` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PaginationSize[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MINI

    public static final PaginationSize MINI

#### SMALL

    public static final PaginationSize SMALL

#### LARGE

    public static final PaginationSize LARGE

### Method Detail

#### values

    public static PaginationSize[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PaginationSize c : PaginationSize.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PaginationSize valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getClassString

    public String getClassString()

Specified by:
  `getClassString` in interface `CssClass`